#
# spec file for package xclass
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xclass
%define lname	libxclass-0_9_2
Version:        0.9.2
Release:        188.7
Summary:        Library for Uniform Presentation of fvwm95 Programs
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://xclass.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-configs.patch
Patch1:         %{name}-%{version}-gcc-3.1.patch
Patch2:         %{name}-%{version}-gcc-4.0.patch
Patch3:         %{name}-%{version}-gcc-4.1.patch
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - fix call of overloaded 'abs(unsigned int)' is ambiguous
Patch4:         %{name}-%{version}-gcc6.patch
BuildRequires:  autoconf
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a library for uniform presentation of fvwm95
programs.

%package -n %{lname}
Summary:        Library for Uniform Presentation of fvwm95 Programs
License:        LGPL-2.1-or-later
Group:          System/Libraries
Requires:       %name

%description -n %{lname}
This package contains a library for uniform presentation of fvwm95
programs.

%package devel
Summary:        Development files for xclass
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}
Requires:       libstdc++-devel
Requires:       pkgconfig
Requires:       pkgconfig(gl)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xpm)

%description devel
This package contains development files for xclass library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2
%patch3
%patch4 -p1
cp /usr/share/autoconf/build-aux/config.{guess,sub} .

%build
autoconf
%configure --disable-debug
make %{?_smp_mflags} shared
make %{?_smp_mflags} all

%install
mv lib/libxclass/icons/*.xpm icons/
%make_install
make DESTDIR=%{buildroot} install_shared
install -m 644 include/xclass/XCconfig.h %{buildroot}%{_includedir}/XCconfig.h
rm -rf %{buildroot}%{_docdir}/%{name}/INSTALL
rm -fv %{buildroot}/%{_libdir}/*.a

# kill pointless symlinks (libxclass.so.0)
find %{buildroot}/%{_libdir} -maxdepth 1 -type l -name "*.so.*" -delete
/sbin/ldconfig -N %{buildroot}/%{_libdir}

%fdupes %{buildroot}/%{_prefix}

%post   -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/
%config %{_sysconfdir}/xclassrc
%{_datadir}/xclass/

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/libxclass.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/xc-config
%{_includedir}/XCconfig.h
%{_includedir}/xclass/
%{_libdir}/libxclass.so

%changelog
* Tue Apr 26 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Copy config.guess and config.sub
  from/usr/share/autoconf/build-aux (autoconf package) to source
  dir. Allows to bootstrap with autoconf 2.71.
* Mon Oct  2 2017 jengelh@inai.de
- Avoid running fdupes across partition boundaries.
- Implement shared library guideline.
* Mon Sep 25 2017 adam.majer@suse.de
- update xclass-0.9.2-gcc6.patch
  * Use signed arithmetic when doing a "distance" calculation
    (boo#1041255)
* Wed Jun 29 2016 i@marguerite.su
- add patch: xclass-0.9.2-gcc6.patch
  * fix boo#985124
  * fix call of overloaded 'abs(unsigned int)' is ambiguous
  * fix narrowing conversion from int to char inside {}
* Thu Oct 30 2014 crrodriguez@opensuse.org
- fix -devel package requires fixes build of rfb in factory
* Sun Oct 19 2014 crrodriguez@opensuse.org
- Run spec cleaner
- Discontinue use of metapackage xorg-x11-devel
* Thu Feb 28 2013 coolo@suse.com
- update license to new format
* Wed Dec 21 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Mon May 28 2007 anosek@suse.cz
- split off devel package
* Tue Sep 12 2006 anosek@suse.cz
- updated to version 0.9.2
  * this version includes OpenGL support
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Dec  6 2005 mmarek@suse.cz
- fix undefined operation warning in OXHtmlIndex.cc
* Tue Nov 29 2005 mmarek@suse.cz
- fix strict aliasing with gcc-4.1
* Tue Nov 15 2005 mmarek@suse.cz
- don't build as root
* Wed Oct  5 2005 mmarek@suse.cz
- fixed build with gcc-4.1
* Mon Apr 11 2005 pmladek@suse.cz
- fixed pointer to int casts for gcc-4.0 on 64-bit architectures
* Mon Feb  7 2005 pmladek@suse.cz
- updated to version 0.9.1:
  * added OXToolBarButton
  * implemented html-based help system
  * added support for viewing rgb images
  * some more compiled in pixmaps
  * and more fixes and improvements, see the package documentation
- removed obsolete gcc-3.3.patch and warnings.patch
- updated gcc-3.1.patch (still necessary to compile rfb package)
- installed symlinks, so the dynamic library is usable out of box
* Fri Apr 16 2004 pmladek@suse.cz
- fixed compiler warnings (control reaches end of non-void function)
* Thu Jun  5 2003 ltinkl@suse.cz
- updated sources to version 0.8.2
  * new HTML widget
- redid the patches
* Thu Nov 21 2002 pmladek@suse.cz
- updated to the version 0.7.4
- removed obsolete patch which fixes OIniFile::PutItem to use
  a const char* as second arg
- removed obsolete patch which fixes iterators
- fixed to build with gcc-3.3
- used the instaled documentation
- moved all icons from /usr/lib to /usr/share
* Sat Apr 13 2002 ro@suse.de
- make it compile with gcc-3.1
* Tue Jan 29 2002 pmladek@suse.cz
- prefix changed from /usr/X11R6 to /usr [#12954]
- fixed xc-config for lib64
* Fri Jan 18 2002 pmladek@suse.cz
- updated to version 0.6.2
- fixed URL
* Wed Jan  9 2002 pmladek@suse.cz
- used macro %%{_lib} to fix for lib64
* Mon Jan  7 2002 schwab@suse.de
- Properly use iterators.
* Wed Oct 31 2001 pmladek@suse.cz
- updated to version 0.5.8
- removed obsolete textentry patch
- added URL
* Sun Apr 29 2001 pmladek@suse.cz
- removed fvwm95 from requires
* Thu Apr  5 2001 pmladek@suse.cz
- fixed bug with text entry
- reorganized patches
* Wed Mar  7 2001 cihlar@suse.cz
- fixed neededforbuild
* Thu Dec 28 2000 sf@suse.de
- added -fPIC for shared libs
* Mon Nov 27 2000 cihlar@suse.cz
- added /etc/xclassrc to file list
* Mon Nov 27 2000 ro@suse.de
- fixed build-root (DESTDIR) in Makefiles
* Sun Nov 26 2000 ro@suse.de
- added xc-config to filelist
* Tue Nov 21 2000 cihlar@suse.cz
- update to version 0.5.4. Applications are not
  part of this package
- removed ancient tutorial
* Mon Aug 21 2000 cihlar@suse.cz
- update to version 981004
- added BuildRoot
- bzipped sources
* Mon Jun  5 2000 ro@suse.de
- doc relocation
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jan 20 1999 ro@suse.de
- modified patch-style
- OScrollBar.h : give sb_width a type : int
- cleaned up OIniFile::PutItem to use a const char* as second arg
- copy const char * to char * using strdup in OXFileDialog
- chmod 755 libxclass.so
* Tue Oct  7 1997 maddin@suse.de
- first S.u.S.E. version
- integrated xclass and xclass-tutorial into one package
